.container {
  width: 100%;
  padding-right: 1.5rem;
  padding-left: 1.5rem;
  margin-right: auto;
  margin-left: auto;
}
.flex {
  display: flex;
}
.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.items-center {
  align-items: center;
}
.justify-center {
  justify-content: center;
}
.justify-between {
  justify-content: space-between;
}
.block {
  display: block;
}
[class^="col-"] {
  position: relative;
  width: 100%;
  min-height: 1px;
  padding-right: 1rem;
  padding-left: 1rem;
}
.col {
  flex-grow: 1;
  flex: 0;
  max-width: 100%;
}

@for $i from 1 through 12 {
  .col-#{$i} {
    flex: 0 0 calc((100% / 12) * #{$i});
    max-width: calc((100% / 12) * #{$i});
    position: relative;
    width: 100%;
    min-height: 1px;
    padding-right: 1rem;
    padding-left: 1rem;
  }
}
